MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
DeferredCall Class Referencefinal

Invoke a method call in the EventLoop. More...

`#include <DeferredCall.hxx>`

Inheritance diagram for DeferredCall:
[legend]
Collaboration diagram for DeferredCall:
[legend]

## Public Member Functions
| DeferredCall (EventLoop &_loop, Callback _callback)

## Protected Member Functions
void | RunDeferred () override

## Detailed Description

Invoke a method call in the EventLoop.

This class is thread-safe.

Definition at line 32 of file DeferredCall.hxx.

## Constructor & Destructor Documentation

DeferredCall::DeferredCall | ( | EventLoop & | _loop,
|  | Callback | _callback
| ) |  |
| inline

Definition at line 37 of file DeferredCall.hxx.

## Member Function Documentation

void DeferredCall::RunDeferred | ( |  | ) |
| inline override protected virtual

Implements DeferredMonitor.

Definition at line 45 of file DeferredCall.hxx.

The documentation for this class was generated from the following file:

- event/DeferredCall.hxx